/* You can add global styles to this file, and also import other style files */

@import '~bootstrap/dist/css/bootstrap.min.css';
/* @import "~@angular/material/prebuilt-themes/indigo-pink.css"; */

/* tree component */

@import '~angular-tree-component/dist/angular-tree-component.css';
/* ngx datatable */

@import '~@swimlane/ngx-datatable/release/index.css';
@import '~@swimlane/ngx-datatable/release/themes/material.css';
@import '~@swimlane/ngx-datatable/release/assets/icons.css';
html,
body {
    background: #ededed;
}

body {
    font-size: 12px !important;
    font-family: Roboto, "Helvetica Neue", sans-serif;
}

::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}

::-webkit-scrollbar-track {
    background-color: #e7e7e7;
}

::-webkit-scrollbar-thumb {
    background: #E91E63;
}

::-webkit-scrollbar-thumb:hover {
    background: #E91E63;
    cursor: pointer;
}

.top-header {
    background: #ffffff !important;
    color: #6c757d !important;
    -webkit-box-shadow: 1px 1px 15px rgba(0, 0, 0, .1) !important;
    box-shadow: 1px 1px 15px rgba(0, 0, 0, .1) !important;
}

.top-header h5 {
    font-weight: 400 !important;
}

.mat-button {
    min-width: 0px !important;
}

form .row {
    padding: 5px 0px 5px 0px;
}

.expanded-menu {
    background: #000000 !important;
}

.expanded-menu .mat-expansion-panel-header-description,
.expanded-menu .mat-expansion-indicator::after {
    color: #c6c6c6 !important;
}

.expanded-menu .mat-expanded .mat-expansion-panel-body {
    background: #1f1f1f !important;
}

.small-body {
    font-size: 10px;
    font-weight: bold;
}

.header {
    margin-top: 50px;
}

.mat-typography h6 {
    margin: 0 0 0px !important;
}

.content {
    padding: 0px 30px;
}

.card {
    -webkit-box-shadow: 1px 1px 15px rgba(0, 0, 0, .1) !important;
    box-shadow: 1px 1px 15px rgba(0, 0, 0, .1) !important;
    border-radius: 0;
    border: 0;
}

.statistic-chart .ngx-charts {
    margin-left: -15px;
}

.card-summary {
    height: 305px;
}

.card .card-body .icon-box {
    padding: 10px;
    height: 60px;
    line-height: 52px;
    width: 60px;
    border-radius: 50%;
    text-align: center;
}

.value-up {
    color: #00E676 !important;
    margin-top: 4px !important;
}

.value-min {
    color: #E53935;
    margin-top: 4px !important;
}

.brand-logo {
    border-radius: 50%;
    width: 50px;
    padding: 10px 10px;
    height: 50px;
    margin-bottom: 20px;
}

.brand-logo img {
    width: 100%;
}

.brand-image img {
    width: 100%;
}

.toyota {
    background: #E91E63;
}

.bg-pink {
    /* background-color: #E91E63; */
    background: linear-gradient(to bottom right, #E91E63, #AD1457);
}

.bg-blue {
    /* background-color: #2196f3; */
    background: linear-gradient(to bottom right, #2196f3, #1565C0);
}

.bg-green {
    /* background-color: #1DE9B6; */
    background: linear-gradient(to bottom right, #1DE9B6, #26A69A);
}

.bg-yellow {
    background-color: #D4E157;
}


.top-logo {
    border-radius: 50%;
    width: 55px;
    padding: 15px 15px;
    height: 55px;
    margin-bottom: 5px;
    background-color: #ff2972;
}
.top-logo img {
    width: 100%;
}

.yamaha-boat {
    background: #2196f3;
}

.yamaha {
    background: #1DE9B6;
}

.brand-list {
    width: 100%;
    display: block
}

.row-list {
    padding-right: 10px;
    padding-left: 10px;
}

.row-list .col-sm-12 {
    border-bottom: 1px solid #eee;
    margin-top: 10px;
}

.row-list .last {
    margin-bottom: 14px;
}

.brand-list .brand-logo {
    float: left;
    margin-right: 20px;
    border-radius: 50%;
    width: 40px;
    padding: 5px 5px;
    height: 40px;
    margin-bottom: 20px;
}

.brand-list .text-list {
    float: left;
}

.brand-list .text-value {
    float: right;
}

.card-title {
    font-size: 1rem;
    font-weight: 400;
    position: relative;
    border-bottom: 1px solid #eee;
    padding-bottom: 0.3rem;
    margin-bottom: 15px;
}

.ngx-charts .grid-panel.odd rect {
    fill: rgba(0, 0, 0, 0) !important;
}

.card-title .button-top {
    float: right;
    background: transparent;
    border: none;
    cursor: pointer;
    color: #6e6e6e;
    margin-top: -5px;
}

.button-top mat-icon {
    font-size: 20px !important;
}

.card-title h5 {
    font-size: 1rem;
    font-weight: 400;
}

.card .text-right p, .card .text-right h2 {
    margin-bottom: 0rem !important;
    color: #ffffff;
}

.gradient-pink {
    background: linear-gradient(to bottom right, #E91E63, #AD1457);
}

.card-body {
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1rem;
}

.icon-box mat-icon {
    color: #ffffff;
    font-size: 35px;
    height: 35px;
    width: 35px;
}

.rounded-circle {
    border-radius: 50% !important;
}

.card .icon-box .highlight-icon {
    font-size: 30px;
    line-height: 60px;
}

.top-label {
    padding: 10px 35px;
    /* background: #e8e8e8; */
    margin-top: 0px;
}

.top-label span {
    font-weight: 500;
    font-size: 18px;
    color: #1f1f1f;
}

.label-breadcrumb {
    font-size: 10px;
    color: #666666;
}

.container-fluid {
    padding-right: 0px;
    padding-left: 0px;
}

.no-padding {
    padding-right: 0px !important;
    padding-left: 0px !important;
}

/* .row {
    padding: 12px 0px 12px 0px;
} */

.add-sidenav-100 {
    width: 100%;
}

.add-sidenav-50 {
    width: 50%;
}

.add-sidenav-25 {
    width: 25%;
}

@media only screen and (max-width: 600px) {
    .add-sidenav-100,
    .add-sidenav-50,
    .add-sidenav-25 {
        width: 100%;
    }
}

.primary-container {
    position: absolute !important;
    top: 133px;
    bottom: 0;
    left: 0;
    right: 0;
}

button:focus {
    outline: none !important;
}

.full-width {
    width: 100%;
}

.close-add-form {
    float: left;
    padding: 0px 10px 0px 0px;
    cursor: pointer;
}

.close-add-form :hover {
    color: #ed1c24
}

.contri-donut .ngx-charts {
    margin-left: -20px;
}

.top-filter {
    padding: 5px 20px;
    background-color: #e8e8e8;
    border-radius: 15px;
    margin-top: 10px;
}

.legend-doughnut {
    margin-top: -20px;
}

.legend-doughnut mat-icon {
    font-size: 18px;
    margin-top: 5px;
}

.legend-bar .mat-list-item {
    height: 30px !important;
}

.legend-bar {
    margin-top: 10px;
}

.legend-bar mat-icon {
    font-size: 18px;
    margin-top: 5px;
}

.legend-doughnut .mat-list-item {
    height: 30px !important;
}

.ngx-datatable.material.striped .datatable-row-odd {
    background: #f8f8f8 !important;
}

.row-body {
    margin-bottom: 1.5rem;
}

.mat-tab-link {
    height: 35px !important;
    padding: 0 14px !important;
    min-width: 120px !important;
}

.mat-tab-label,
.mat-tab-link {
    font-size: 12px !important;
}

.mat-button,
.mat-raised-button,
.mat-icon-button,
.mat-stroked-button,
.mat-flat-button,
.mat-fab,
.mat-mini-fab {
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-size: 12px !important;
    font-weight: 500;
}

tree-node-checkbox {
    padding: 4px 12px 8px 0px;
}

.tree-children {
    padding-left: 26px;
}

.ngx-datatable.material .datatable-body .datatable-body-row .datatable-body-cell {
    font-size: 12px !important;
    padding: .3rem 1.2rem !important;
    ;
    vertical-align: middle !important;
    ;
}

.datatable-body-cell-label .mat-icon-button {
    width: 30px;
    height: 30px;
    line-height: 0px;
}

.datatable-body-cell-label .mat-icon-button .mat-button-wrapper .material-icons {
    font-size: 18px;
}

.badge {
    padding: .10em .4em .20em .4em;
    background-color: #E91E63;
    margin-right: 10px;
    margin-left: -20px;
    margin-top: -11px;
    z-index: 99;
    color: #ffffff;
}

.badge span {
    font-size: 10px;
}

.nav-link:focus {
    outline: none;
}

.no-padding-card-header {
    padding-top: 0px !important;
    padding-bottom: 10px;
    margin-top: -13px;
}

.card-header {
    padding: 0rem 0rem;
    margin-top: -20px;
    margin-bottom: 10px;
    background-color: #fff;
    border-bottom: 1px solid rgba(0, 0, 0, .125);
}

.card-header h4 {
    font-size: 14px;
    font-weight: 500;
    margin-top: 7px;
}

.mat-typography h4 {
    margin: 0 0 0px !important;
    padding-top: 7px;
}

.card-header .no-padding-card-header div h4 {
    text-transform: uppercase;
}

.no-shadow {
    box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0), 0 0px 0px 0px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0) !important;
    -webkit-box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0), 0 0px 0px 0px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0) !important;
    border: 1px solid #e1e1e1;
}

.mat-card {
    margin-bottom: 20px;
}

.upload-dialog button {
    background: #d50000;
    margin-top: 11px;
    padding: 8px 22px;
    border: none;
    box-shadow: 0 3px 1px -2px rgba(0, 0, 0, .2), 0 2px 2px 0 rgba(0, 0, 0, .14), 0 1px 5px 0 rgba(0, 0, 0, .12);
    border-radius: 3px;
    color: #fff;
    font-weight: 500;
}

.upload-dialog button:disabled {
    padding: 8px 22px;
    border: none;
    background-color: rgba(0, 0, 0, 0.12);
    box-shadow: none;
    color: rgba(0, 0, 0, 0.26);
    border-radius: 3px;
    font-weight: 500;
}

.upload-dialog .ui-fileupload-choose {
    background-color: rgba(0, 0, 0, 0.12);
    padding: 9px 10px;
    border-radius: 2px;
}

.ui-fileupload-buttonbar {
    padding: 0em;
    width: 140px;
    float: left;
    border-bottom: 0 none;
}

.ui-fileupload-files {
    display: table;
    margin-top: -14px;
}

.ui-messages {
    margin: 4em 0 !important;
    padding: 0.5em 0.5em 0.5em 0.5em !important;
}

.mis-match {
    color: red !important;
}

.rotate-status {
    transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    /* IE 9 */
    -webkit-transform: rotate(45deg);
}

.snackbar-class simple-snack-bar {
    color: #bebebe;
}

.snackbar-class button {
    color: #ff4f4f;
    font-weight: 700;
}